Bug 131552 - usb controller halted, very bad!
usb controller halted, very bad!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-02 03:52 EDT by Need Real Name
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:28:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Report of dmesg, content of /proc/bus/usb/devices and output of lspci (37.14 KB, text/plain)
2004-09-02 04:06 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-09-02 03:52:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
In my HP xw8000 workstation (two Xeon 3.06 MHz processors with 1 GB
RAM) USB doesn't work at all with kernel-2.6.5-x and later. Boot hangs
if any usb devices is connected to computer. When usb devices are
connected AFTER the boot, no reaction can be seen.
dmesg reports the following error messages:
kernel: uhci_hcd 0000:00:1d.2: host controller process error,
something bad happened!
kernel: uhci_hcd 0000:00:1d.2: host controller halted, very bad!
No usb devices are recognized by the usb host controller as it can be
verified examining the contents of /proc/bus/usb/devices.
On the other hand, the kernel used by FC2 during the installation
works very fine. The only difference between installation kernel and
runtime kernel is that modules are compiled for i586 processor and not
for i686.
Re-compiling the kernel using the kernel-2.6.x-i586-smp.config as
base, all work fine.
Only the following error messages is reported by dmesg when using
kernel-2.6.8-x version:
updfstab: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
Anyway, USB works fine.

Version-Release number of selected component (if applicable):
kernel-2.6.5-x and later versions

How reproducible:
Always

Steps to Reproduce:
1. Boot using original Fedora's kernel-2.6.5-x and later versions
2.
3.
    

Actual Results:  usb doesn't work at all.

Expected Results:  Normal usb working

Additional info:

Computer configuration:
HP xw8000 workstation
2 Xeon 3.06 MHz processors
1 GB RAM
250 GB IDE disk (Linux)
80 GB SCSI disk (Windows XP)
Comment 1 Need Real Name 2004-09-02 04:06:39 EDT
Created attachment 103384 [details]
Report of dmesg, content of /proc/bus/usb/devices and output of lspci

The attachment reports the output of dmesg and the content of
/proc/bus/usb/devices both for original FC2 kernel-2.6.5-1.358smp and
re-compiled kernel-2.6.5-1smp-i586.
The output of lspci is also reported for sake of completeness.
Comment 2 Need Real Name 2004-09-02 04:09:36 EDT
The re-compiled kernels-2.6.x-y.zsmp-i586 need to be loaded by
generating the suitanle initrd file in order to load FIRST the SCSI
modules and THEN the USB ones.
Otherwise, SCSI crashes after usb devices are connected.
Comment 3 Dave Jones 2005-04-16 01:28:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.